from flask import render_template, request, redirect

from . import app, db
from .models import Reply

@app.route("/", methods=["GET"])
def index():
    return render_template("pages/index.html")

@app.route("/process-form", methods=["POST"])
def process_form():
	form_data = request.form
	attendence = True if form_data["attendence"] == "yes" else False
	comment = form_data["comment"]
	reply = Reply(attendence=attendence, comment=comment)
	try:
		db.session.add(reply)
		db.session.commit()
		return redirect("/success")
	except Exception as e:
		return "fail"

@app.route("/success", methods=["GET"])
def success():
	return render_template("pages/success.html")

@app.route("/results")
def results():
	replies = db.session.execute(db.select(Reply)).scalars()
	return render_template("pages/results.html", replies=replies)
